Page MenuHomeMiraheze

Pagination 25 is too many pages
Closed, ResolvedPublic

Description

Please can pagination be made user selectable? 25 means many pages to click through, Personally I'd rather see 500 at a time.

Event Timeline

Rob_Kam created this task.Nov 1 2018, 18:14
Paladox assigned this task to John.Nov 1 2018, 18:24
AmandaCath triaged this task as Normal priority.Nov 2 2018, 00:09
Kghbln added a subscriber: Kghbln.EditedNov 20 2018, 21:51

I'd rather like to click through many pages than seeing a huge bunch of pages at a time. Imho scrolling down is far worse. Being able to select the number of links to be shown on a page e.g. via a configuration parameter is a way out here.

John closed this task as Resolved.Feb 3 2019, 23:37
Rob_Kam reopened this task as Open.Feb 4 2019, 17:47

Submit 500 items per page it changes okay. Then click next page and it's back at 25. Change again to 500 puts it back to the start page of the list.

Kghbln added a comment.Feb 4 2019, 19:36

@Rob_Kam I believe this should be opened as a separate issue. Anyways I cannot confirm this for the wiki I am using it for.

John closed this task as Resolved.Feb 5 2019, 17:33